package com.wasu.cs.model;

import java.util.List;

/**
 * 应用默认配置信息返回数据的解析类
 * Created by danxingxi on 2015/11/17.
 */
public final class ConfigData {

    private int code;
    private DataEntity data;
    private String message;

    public void setCode(int code) {
        this.code = code;
    }

    public void setData(DataEntity data) {
        this.data = data;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public DataEntity getData() {
        return data;
    }

    public String getMessage() {
        return message;
    }

    public static class DataEntity {
    	/**站点ID**/
        private int siteId;
        /**图片轮换时间，单位秒**/
        private int stime;
        //播放器背景地址
        private String playCoverPicUrl;
        /**
         * cmark : VIP
         * picUrl : http://s.cms.wasu.tv/pic/wsimage/2015/11/17/20151117142301586pse0g0e3.png
         */
        /**角标数组**/
        private List<CornerMarksEntity> cornerMarks;

        public void setSiteId(int siteId) {
            this.siteId = siteId;
        }

        public void setStime(int stime) {
            this.stime = stime;
        }

        public void setCornerMarks(List<CornerMarksEntity> cornerMarks) {
            this.cornerMarks = cornerMarks;
        }

        public int getSiteId() {
            return siteId;
        }

        public int getStime() {
            return stime;
        }

        public List<CornerMarksEntity> getCornerMarks() {
            return cornerMarks;
        }

        public String getPlayCoverPicUrl() {
            return playCoverPicUrl;
        }

        public void setPlayCoverPicUrl(String playCoverPicUrl) {
            this.playCoverPicUrl = playCoverPicUrl;
        }

        public static class CornerMarksEntity {
        	/**角标标志**/
            private String cmark;
            /**角标图片地址**/
            private String picUrl;

            public void setCmark(String cmark) {
                this.cmark = cmark;
            }

            public void setPicUrl(String picUrl) {
                this.picUrl = picUrl;
            }

            public String getCmark() {
                return cmark;
            }

            public String getPicUrl() {
                return picUrl;
            }
        }
    }
}
